%define name python-libtagedit
%define version 1.0
%define pre b2
%define release 0.%pre.3mdk
%define oname libtagedit-python
%define fname %oname-%version%pre
%define pyver 2.3

Summary: Python bindings for the libtagedit library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: Development/Python
URL: http://sourceforge.net/projects/libtagedit
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libtagedit-devel >= %version
BuildRequires: libpython-devel >= %pyver
BuildRequires: libsip-devel >= 3.8-2mdk

%description
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%prep
%setup -q -n %fname
perl -pi -e "s/2.2/%pyver/" build.py

%build
python build.py build

%install
rm -rf $RPM_BUILD_ROOT
python build.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README PKG-INFO
%_libdir/python%pyver/site-packages/*

%changelog
* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.3mdk
- rebuild

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.2mdk
- rebuild

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.1mdk
- initial package

